org.gnome.gtk

## Class ShadowType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ShadowType

-     public final class ShadowType
      extends org.freedesktop.bindings.Constant

  Appearance of the outline shown in some Widgets such as `Frame` and `Arrow`.
  Since:
    4.0.7
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ShadowType` | `ETCHED_IN` The outline has a sunken 3D appearance.
    `static ShadowType` | `ETCHED_OUT` The outline has a raised 3D appearance.
    `static ShadowType` | `IN` The outline is bevelled inwards.
    `static ShadowType` | `NONE` The Widget is shown without outline.
    `static ShadowType` | `OUT` The outline is bevelled outwards.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ETCHED_IN

          public static final ShadowType ETCHED_IN

      The outline has a sunken 3D appearance.

    - #### ETCHED_OUT

          public static final ShadowType ETCHED_OUT

      The outline has a raised 3D appearance.

    - #### IN

          public static final ShadowType IN

      The outline is bevelled inwards. That causes the visual effect that the Widget is sunken on the screen.

    - #### NONE

          public static final ShadowType NONE

      The Widget is shown without outline.

    - #### OUT

          public static final ShadowType OUT

      The outline is bevelled outwards. That causes the visual effect that the Widget is raised on the screen.